GuideLab API

List tasks of an order's current phase

Returns the ordered task list of the order's active phase. For clinic requesters, only clinic-visible entries are returned and labels resolve to clinicTitle when set.

GET
/orders/{orderId}/phase-tasks

Returns the ordered task list of the order's active phase. For clinic requesters, only clinic-visible entries are returned and labels resolve to clinicTitle when set.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

orderId*string
Formatuuid

Response Body

application/json

curl -X GET "https://example.com/orders/497f6eca-6276-4993-bfeb-53cbbbba6f08/phase-tasks"
{  "tasks": [    {      "id": "string",      "taskId": "string",      "label": "string",      "sortOrder": 0,      "isCurrent": true    }  ]}
Empty
Empty